<?xml version="1.0" encoding="GB2312"?>
<!--*************************************Note************************************************-->
<!--algo type reference ppdefine.h-->
<!--PreviewCameraId main 0 wide 1 tele 2 -->
<!--FrameRawFormat defalut yuv(0) bayer (1) quad raw (2)-->
<!--*****************************************************************************************-->
<CaptureMemoryConfig>
<Algo type="QRFusionRawMode">
	<PreviewCameraId Id = "0"
					mFrameCount="5"    mFrameRawFormat = "1" mEnableCrop= "1" mMaxZoomRatio = "5.5"
					PeakMemory= "400"
					AiMemory = "50"/>
</Algo>
<Algo type="fullzoomAiRawMode bigApertureZoomNotBokeh fullzoomAiRawBokehMode">
	<PreviewCameraId Id = "0"
					mFrameCount="8"    mFrameRawFormat = "2" mEnableCrop= "1" mMaxZoomRatio = "5.5"
					PeakMemory= "400"
					AiMemory = "50"/>
	<PreviewCameraId Id = "1"
					mFrameCount="4"    mFrameRawFormat = "1" mEnableCrop= "1" mMaxZoomRatio = "1.0"
					PeakMemory= "400"
					AiMemory = "50"/>
	<PreviewCameraId Id = "2"
					mFrameCount="8"    mFrameRawFormat = "1"
					PeakMemory= "400"
					AiMemory = "50"/>
</Algo>
<Algo type="fullzoomAiRawPortrait fullzoomAiRawNoFacePortrait FairlightFullzoomAiRaw">
	<PreviewCameraId Id = "0"
					mFrameCount="8"    mFrameRawFormat = "1" mEnableCrop= "1" mMaxZoomRatio = "5.5"
					PeakMemory= "400"
					AiMemory = "50"/>
	<PreviewCameraId Id = "2"
					mFrameCount="8"    mFrameRawFormat = "1"
					PeakMemory= "400"
					AiMemory = "50"/>
</Algo>
<Algo type="QRFusionAiRawMode QRFusionAiRawPortrait QRFusionAiRawBokeh QRFusionAiRawNoFacePortrait">
	<PreviewCameraId Id = "0"
					mFrameCount="5"    mFrameRawFormat = "1" mEnableCrop= "1" mMaxZoomRatio = "5.5"
					PeakMemory= "400"
					AiMemory = "50"/>
</Algo>
<Algo type="hdrpliteAiRaw bigApertureHdrpLiteNotBokeh aiRawHdrpLiteBokehMode aiRawHdrpLitePortrait aiRawHdrpLiteNoFacePortrait frontHdrplite frontbeautyHdrplite aiRawHdrpLiteDualCamBokehBeautyFront frontbeautyBokehHdrplite FairlightAiRawHdrplite FairlightAiRawHdrpliteFront">
	<PreviewCameraId Id = "0"
					mFrameCount="8"    mFrameRawFormat = "1" mEnableCrop= "1" mMaxZoomRatio = "5.5"
					PeakMemory= "400"
					AiMemory = "50"/>
</Algo>
<Algo type="rawhdrAiRaw bigAperturehdrpNotBokeh aiRawHdrpBokehMode aiRawHdrpPortrait aiRawHdrpNoFacePortrait aiRawHdrpDualCamBokehBeautyFront frontbeautyBokehHdrpAiRaw FrontBeautyAiRawHdrp FrontAiRawHdrp FairlightAiRawHdrp FairlightAiRawHdrpFront">
	<PreviewCameraId Id = "0"
					mFrameCount="9"    mFrameRawFormat = "1" mEnableCrop= "1" mMaxZoomRatio = "5.5"
					PeakMemory= "400"
					AiMemory = "50"/>
</Algo>
<Algo type="airawHighResMode">
	<PreviewCameraId Id = "0"
					mFrameCount="4"    mFrameRawFormat = "2"
					PeakMemory= "700"
					AiMemory = "50"/>
</Algo>
<Algo type="ellipMode">
	<PreviewCameraId Id = "0"
					mFrameCount="6"    mFrameRawFormat = "1" mEnableCrop= "1" mMaxZoomRatio = "5.5"
					PeakMemory= "400"
					AiMemory = "50"/>
	<PreviewCameraId Id = "1"
					mFrameCount="6"    mFrameRawFormat = "1" mEnableCrop= "1" mMaxZoomRatio = "1.0"
					PeakMemory= "400"
					AiMemory = "50"/>
	<PreviewCameraId Id = "2"
					mFrameCount="6"    mFrameRawFormat = "1" mEnableCrop= "1"
					PeakMemory= "400"
					AiMemory = "50"/>
</Algo>
<Algo type="fullzoomAiRawDiffFovFusion">
	<PreviewCameraId Id = "0"
					mFrameCount="8"    mFrameRawFormat = "2" mEnableCrop= "1" mMaxZoomRatio = "5.5"
					sFrameCount="6"    sFrameRawFormat = "1"
					PeakMemory= "200"
					AiMemory = "50"/>
	<PreviewCameraId Id = "2"
					mFrameCount="8"    mFrameRawFormat = "1"
					sFramecount="6"    sFrameRawFormat = "1"
					PeakMemory= "400"
					AiMemory = "50"/>
</Algo>
<Algo type="rearNormalModeRawhdr rearNormalModeHdrpLite TimeLapseHdrp blueSkyHdrp">
	<PreviewCameraId Id = "0"
					mFrameCount="7"    mFrameRawFormat = "1" mEnableCrop= "1" mMaxZoomRatio = "5.5"
					PeakMemory= "350"
					AiMemory = "20"/>
	<PreviewCameraId Id = "1"
					mFrameCount="7"    mFrameRawFormat = "1" mEnableCrop= "1" mMaxZoomRatio = "1.0"
					PeakMemory= "450"
					AiMemory = "20"/>
	<PreviewCameraId Id = "2"
					mFrameCount="7"    mFrameRawFormat = "1"
					PeakMemory= "300"
					AiMemory = "20"/>
</Algo>
<Algo type="BShutterRaw">
	<PreviewCameraId Id = "0"
					mFrameCount="7"    mFrameRawFormat = "1" mEnableCrop= "1" mMaxZoomRatio = "5.5"
					PeakMemory= "300"
					AiMemory = "50"/>
	<PreviewCameraId Id = "1"
					mFrameCount="7"    mFrameRawFormat = "1" mEnableCrop= "1" mMaxZoomRatio = "1.0"
					PeakMemory= "300"
					AiMemory = "50"/>
	<PreviewCameraId Id = "2"
					mFrameCount="7"    mFrameRawFormat = "1"
					PeakMemory= "300"
					AiMemory = "50"/>
</Algo>
<Algo type="fullzoomnormalMode">
	<PreviewCameraId Id = "0"
					mFrameCount="6"    mFrameRawFormat = "0" mEnableCrop= "1" mMaxZoomRatio = "5.5"
					PeakMemory= "300"
					AiMemory = "50"/>
	<PreviewCameraId Id = "1"
					mFrameCount="6"    mFrameRawFormat = "0" mEnableCrop= "1" mMaxZoomRatio = "1.0"
					PeakMemory= "300"
					AiMemory = "50"/>
	<PreviewCameraId Id = "2"
					mFrameCount="6"    mFrameRawFormat = "0"
					PeakMemory= "300"
					AiMemory = "50"/>
</Algo>
<Algo type="multidenoise FlashMultidenoiseBeauty flashmultidenoise">
	<PreviewCameraId Id = "0"
					mFrameCount="4"    mFrameRawFormat = "0"
					PeakMemory= "200"
					AiMemory = "50"/>
</Algo>
<Algo type="fairlightrear fairlight_front fairlightbase">
	<PreviewCameraId Id = "0"
					mFrameCount="1"    mFrameRawFormat = "0" mEnableCrop= "1" mMaxZoomRatio = "5.5"
					PeakMemory= "300"
					AiMemory = "50"/>
	<PreviewCameraId Id = "2"
					mFrameCount="1"    mFrameRawFormat = "0" mEnableCrop= "1" mMaxZoomRatio = "1.0"
					PeakMemory= "300"
					AiMemory = "50"/>
</Algo>
<Algo type="fairlightfullzoom">
	<PreviewCameraId Id = "0"
					mFrameCount="6"    mFrameRawFormat = "0" mEnableCrop= "1" mMaxZoomRatio = "5.5"
					PeakMemory= "300"
					AiMemory = "50"/>
	<PreviewCameraId Id = "2"
					mFrameCount="6"    mFrameRawFormat = "0" mEnableCrop= "1" mMaxZoomRatio = "1.0"
					PeakMemory= "300"
					AiMemory = "50"/>
</Algo>
<Algo type="normalmode bestshotMode">
	<PreviewCameraId Id = "0"
					mFrameCount="1"    mFrameRawFormat = "0" mEnableCrop= "1" mMaxZoomRatio = "5.5"
					PeakMemory= "0"
					AiMemory = "0"/>
	<PreviewCameraId Id = "1"
					mFrameCount="1"    mFrameRawFormat = "0" mEnableCrop= "1" mMaxZoomRatio = "1.0"
					PeakMemory= "0"
					AiMemory = "0"/>
	<PreviewCameraId Id = "2"
					mFrameCount="1"    mFrameRawFormat = "0"
					PeakMemory= "0"
					AiMemory = "0"/>
</Algo>
<Algo type="frontBeautyNightRawhdrV2 frontBeautyNightRawhdr">
	<PreviewCameraId Id = "0"
					mFrameCount="6"    mFrameRawFormat = "1" mEnableCrop= "1" mMaxZoomRatio = "5.5"
					PeakMemory= "370"
					AiMemory = "0"/>
</Algo>
</CaptureMemoryConfig>